# Constant Field Values

## Contents

- com.fasterxml.*

## com.fasterxml.*

com.fasterxml.jackson.core.Base64Variant
Modifier and Type
Constant Field
Value
`public static final int`
`BASE64_VALUE_INVALID`
`-1`
`public static final int`
`BASE64_VALUE_PADDING`
`-2`
`protected static final char`
`PADDING_CHAR_NONE`
`'\u0000'`
com.fasterxml.jackson.core.ErrorReportConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_ERROR_TOKEN_LENGTH`
`256`
`public static final int`
`DEFAULT_MAX_RAW_CONTENT_LENGTH`
`500`
com.fasterxml.jackson.core.JsonFactory
Modifier and Type
Constant Field
Value
`public static final char`
`DEFAULT_QUOTE_CHAR`
`'\"'`
`public static final String`
`FORMAT_NAME_JSON`
`"JSON"`
com.fasterxml.jackson.core.JsonLocation
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_CONTENT_SNIPPET`
`500`
com.fasterxml.jackson.core.JsonPointer
Modifier and Type
Constant Field
Value
`public static final char`
`SEPARATOR`
`'/'`
com.fasterxml.jackson.core.JsonStreamContext
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_ARRAY`
`1`
`public static final int`
`TYPE_OBJECT`
`2`
`public static final int`
`TYPE_ROOT`
`0`
com.fasterxml.jackson.core.JsonTokenId
Modifier and Type
Constant Field
Value
`public static final int`
`ID_EMBEDDED_OBJECT`
`12`
`public static final int`
`ID_END_ARRAY`
`4`
`public static final int`
`ID_END_OBJECT`
`2`
`public static final int`
`ID_FALSE`
`10`
`public static final int`
`ID_FIELD_NAME`
`5`
`public static final int`
`ID_NO_TOKEN`
`0`
`public static final int`
`ID_NOT_AVAILABLE`
`-1`
`public static final int`
`ID_NULL`
`11`
`public static final int`
`ID_NUMBER_FLOAT`
`8`
`public static final int`
`ID_NUMBER_INT`
`7`
`public static final int`
`ID_START_ARRAY`
`3`
`public static final int`
`ID_START_OBJECT`
`1`
`public static final int`
`ID_STRING`
`6`
`public static final int`
`ID_TRUE`
`9`
com.fasterxml.jackson.core.StreamReadConstraints
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_DEPTH`
`1000`
`public static final long`
`DEFAULT_MAX_DOC_LEN`
`-1L`
`public static final int`
`DEFAULT_MAX_NAME_LEN`
`50000`
`public static final int`
`DEFAULT_MAX_NUM_LEN`
`1000`
`public static final int`
`DEFAULT_MAX_STRING_LEN`
`20000000`
com.fasterxml.jackson.core.StreamWriteConstraints
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_DEPTH`
`1000`

com.fasterxml.jackson.core.base.GeneratorBase
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_BIG_DECIMAL_SCALE`
`9999`
`public static final int`
`SURR1_FIRST`
`55296`
`public static final int`
`SURR1_LAST`
`56319`
`public static final int`
`SURR2_FIRST`
`56320`
`public static final int`
`SURR2_LAST`
`57343`
`protected static final String`
`WRITE_BINARY`
`"write a binary value"`
`protected static final String`
`WRITE_BOOLEAN`
`"write a boolean value"`
`protected static final String`
`WRITE_NULL`
`"write a null"`
`protected static final String`
`WRITE_NUMBER`
`"write a number"`
`protected static final String`
`WRITE_RAW`
`"write a raw (unencoded) value"`
`protected static final String`
`WRITE_STRING`
`"write a string"`
com.fasterxml.jackson.core.base.ParserMinimalBase
Modifier and Type
Constant Field
Value
`protected static final char`
`CHAR_NULL`
`'\u0000'`
`protected static final int`
`INT_0`
`48`
`protected static final int`
`INT_9`
`57`
`protected static final int`
`INT_APOS`
`39`
`protected static final int`
`INT_ASTERISK`
`42`
`protected static final int`
`INT_BACKSLASH`
`92`
`protected static final int`
`INT_COLON`
`58`
`protected static final int`
`INT_COMMA`
`44`
`protected static final int`
`INT_CR`
`13`
`protected static final int`
`INT_e`
`101`
`protected static final int`
`INT_E`
`69`
`protected static final int`
`INT_HASH`
`35`
`protected static final int`
`INT_LBRACKET`
`91`
`protected static final int`
`INT_LCURLY`
`123`
`protected static final int`
`INT_LF`
`10`
`protected static final int`
`INT_MINUS`
`45`
`protected static final int`
`INT_PERIOD`
`46`
`protected static final int`
`INT_PLUS`
`43`
`protected static final int`
`INT_QUOTE`
`34`
`protected static final int`
`INT_RBRACKET`
`93`
`protected static final int`
`INT_RCURLY`
`125`
`protected static final int`
`INT_SLASH`
`47`
`protected static final int`
`INT_SPACE`
`32`
`protected static final int`
`INT_TAB`
`9`
`protected static final int`
`MAX_ERROR_TOKEN_LENGTH`
`256`
`protected static final double`
`MAX_INT_D`
`2.147483647E9`
`protected static final long`
`MAX_INT_L`
`2147483647L`
`protected static final double`
`MAX_LONG_D`
`9.223372036854776E18`
`protected static final double`
`MIN_INT_D`
`-2.147483648E9`
`protected static final long`
`MIN_INT_L`
`-2147483648L`
`protected static final double`
`MIN_LONG_D`
`-9.223372036854776E18`
`protected static final int`
`NR_BIGDECIMAL`
`16`
`protected static final int`
`NR_BIGINT`
`4`
`protected static final int`
`NR_DOUBLE`
`8`
`protected static final int`
`NR_FLOAT`
`32`
`protected static final int`
`NR_INT`
`1`
`protected static final int`
`NR_LONG`
`2`
`protected static final int`
`NR_UNKNOWN`
`0`

com.fasterxml.jackson.core.format.DataFormatDetector
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_INPUT_LOOKAHEAD`
`64`

com.fasterxml.jackson.core.io.CharacterEscapes
Modifier and Type
Constant Field
Value
`public static final int`
`ESCAPE_CUSTOM`
`-2`
`public static final int`
`ESCAPE_NONE`
`0`
`public static final int`
`ESCAPE_STANDARD`
`-1`
com.fasterxml.jackson.core.io.ContentReference
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_CONTENT_SNIPPET`
`500`
com.fasterxml.jackson.core.io.NumberInput
Modifier and Type
Constant Field
Value
`public static final String`
`NASTY_SMALL_DOUBLE`
`"2.2250738585072012e-308"`
com.fasterxml.jackson.core.io.UTF32Reader
Modifier and Type
Constant Field
Value
`protected static final int`
`LAST_VALID_UNICODE_CHAR`
`1114111`
`protected static final char`
`NC`
`'\u0000'`

com.fasterxml.jackson.core.json.ByteSourceJsonBootstrapper
Modifier and Type
Constant Field
Value
`public static final byte`
`UTF8_BOM_1`
`0xef`
`public static final byte`
`UTF8_BOM_2`
`0xbb`
`public static final byte`
`UTF8_BOM_3`
`0xbf`
com.fasterxml.jackson.core.json.JsonWriteContext
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_EXPECT_NAME`
`5`
`public static final int`
`STATUS_EXPECT_VALUE`
`4`
`public static final int`
`STATUS_OK_AFTER_COLON`
`2`
`public static final int`
`STATUS_OK_AFTER_COMMA`
`1`
`public static final int`
`STATUS_OK_AFTER_SPACE`
`3`
`public static final int`
`STATUS_OK_AS_IS`
`0`
com.fasterxml.jackson.core.json.WriterBasedJsonGenerator
Modifier and Type
Constant Field
Value
`protected static final int`
`SHORT_WRITE`
`32`

com.fasterxml.jackson.core.json.async.NonBlockingJsonParserBase
Modifier and Type
Constant Field
Value
`protected static final int`
`MAJOR_ARRAY_ELEMENT_FIRST`
`5`
`protected static final int`
`MAJOR_ARRAY_ELEMENT_NEXT`
`6`
`protected static final int`
`MAJOR_CLOSED`
`7`
`protected static final int`
`MAJOR_INITIAL`
`0`
`protected static final int`
`MAJOR_OBJECT_FIELD_FIRST`
`2`
`protected static final int`
`MAJOR_OBJECT_FIELD_NEXT`
`3`
`protected static final int`
`MAJOR_OBJECT_VALUE`
`4`
`protected static final int`
`MAJOR_ROOT`
`1`
`protected static final int`
`MINOR_COMMENT_C`
`53`
`protected static final int`
`MINOR_COMMENT_CLOSING_ASTERISK`
`52`
`protected static final int`
`MINOR_COMMENT_CPP`
`54`
`protected static final int`
`MINOR_COMMENT_LEADING_SLASH`
`51`
`protected static final int`
`MINOR_COMMENT_YAML`
`55`
`protected static final int`
`MINOR_FIELD_APOS_NAME`
`9`
`protected static final int`
`MINOR_FIELD_LEADING_COMMA`
`5`
`protected static final int`
`MINOR_FIELD_LEADING_WS`
`4`
`protected static final int`
`MINOR_FIELD_NAME`
`7`
`protected static final int`
`MINOR_FIELD_NAME_ESCAPE`
`8`
`protected static final int`
`MINOR_FIELD_UNQUOTED_NAME`
`10`
`protected static final int`
`MINOR_NUMBER_EXPONENT_DIGITS`
`32`
`protected static final int`
`MINOR_NUMBER_EXPONENT_MARKER`
`31`
`protected static final int`
`MINOR_NUMBER_FRACTION_DIGITS`
`30`
`protected static final int`
`MINOR_NUMBER_INTEGER_DIGITS`
`26`
`protected static final int`
`MINOR_NUMBER_MINUS`
`23`
`protected static final int`
`MINOR_NUMBER_MINUSZERO`
`25`
`protected static final int`
`MINOR_NUMBER_PLUS`
`22`
`protected static final int`
`MINOR_NUMBER_ZERO`
`24`
`protected static final int`
`MINOR_ROOT_BOM`
`1`
`protected static final int`
`MINOR_ROOT_GOT_SEPARATOR`
`3`
`protected static final int`
`MINOR_ROOT_NEED_SEPARATOR`
`2`
`protected static final int`
`MINOR_VALUE_APOS_STRING`
`45`
`protected static final int`
`MINOR_VALUE_EXPECTING_COLON`
`14`
`protected static final int`
`MINOR_VALUE_EXPECTING_COMMA`
`13`
`protected static final int`
`MINOR_VALUE_LEADING_WS`
`12`
`protected static final int`
`MINOR_VALUE_STRING`
`40`
`protected static final int`
`MINOR_VALUE_STRING_ESCAPE`
`41`
`protected static final int`
`MINOR_VALUE_STRING_UTF8_2`
`42`
`protected static final int`
`MINOR_VALUE_STRING_UTF8_3`
`43`
`protected static final int`
`MINOR_VALUE_STRING_UTF8_4`
`44`
`protected static final int`
`MINOR_VALUE_TOKEN_ERROR`
`50`
`protected static final int`
`MINOR_VALUE_TOKEN_FALSE`
`18`
`protected static final int`
`MINOR_VALUE_TOKEN_NON_STD`
`19`
`protected static final int`
`MINOR_VALUE_TOKEN_NULL`
`16`
`protected static final int`
`MINOR_VALUE_TOKEN_TRUE`
`17`
`protected static final int`
`MINOR_VALUE_WS_AFTER_COMMA`
`15`
`protected static final int`
`NON_STD_TOKEN_INFINITY`
`1`
`protected static final int`
`NON_STD_TOKEN_MINUS_INFINITY`
`3`
`protected static final int`
`NON_STD_TOKEN_NAN`
`0`
`protected static final int`
`NON_STD_TOKEN_PLUS_INFINITY`
`2`

com.fasterxml.jackson.core.sym.ByteQuadsCanonicalizer
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_ENTRIES_FOR_REUSE`
`6000`
com.fasterxml.jackson.core.sym.CharsToNameCanonicalizer
Modifier and Type
Constant Field
Value
`public static final int`
`HASH_MULT`
`33`

com.fasterxml.jackson.core.util.BufferRecycler
Modifier and Type
Constant Field
Value
`public static final int`
`BYTE_BASE64_CODEC_BUFFER`
`3`
`public static final int`
`BYTE_READ_IO_BUFFER`
`0`
`public static final int`
`BYTE_WRITE_CONCAT_BUFFER`
`2`
`public static final int`
`BYTE_WRITE_ENCODING_BUFFER`
`1`
`public static final int`
`CHAR_CONCAT_BUFFER`
`1`
`public static final int`
`CHAR_NAME_COPY_BUFFER`
`3`
`public static final int`
`CHAR_TEXT_BUFFER`
`2`
`public static final int`
`CHAR_TOKEN_BUFFER`
`0`
com.fasterxml.jackson.core.util.BufferRecyclers
Modifier and Type
Constant Field
Value
`public static final String`
`SYSTEM_PROPERTY_TRACK_REUSABLE_BUFFERS`
`"com.fasterxml.jackson.core.util.BufferRecyclers.trackReusableBuffers"`
com.fasterxml.jackson.core.util.RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CAPACITY`
`100`
com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase<P extends RecyclerPool.WithPool<P>>
Modifier and Type
Constant Field
Value
`public static final int`
`SERIALIZATION_NON_SHARED`
`1`
`public static final int`
`SERIALIZATION_SHARED`
`-1`
com.fasterxml.jackson.core.util.Separators
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ROOT_VALUE_SEPARATOR`
`" "`